Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.PreflightSettingData Class Reference

## Public Member Functions
| constructor ()
| Constructor.

## Public Attributes
| first_page_index
| Index of the first page to be analyzed or fixed, staring from 0. Default value: 0.
| last_page_index
| Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be analyze and parameter first_page_index would be ignored. Default value: -1.
| operate_type
| The preflight operate type. Please refer to values starting from FSDK.PreflightSettingData.e_OperateTypeProfiles and this should be one of these values.
| preflight_key
| The preflight key. It can be retrieved by FSDK.Preflight.GetItemKeysArray.
| saved_pdf_path
| A complete path for saving the analyze and fix PDF file. Only use to analyze and fix.
| src_pdf_path
| A complete path of source PDF file to be analyze and fix.

## Static Public Attributes
static | e_LibraryTypeFoxit
| Enumeration for the preflight library type. More...
static | e_LibraryTypePDFStandards
| Preflight library type: Standards.
static | e_LibraryTypePrepressColorTransparency
| Preflight library type: Prepress,Color and Transparency.
static | e_OperateTypeProfiles
| Enumeration for the preflight operate type. More...
static | e_OperateTypeSingleChecks
| Opearte type: single checks.
static | e_OperateTypeSingleFixups
| Opearte type: single fixups.

## Detailed Description

This class represents setting data used for preflight analyze and fixup.

## Member Data Documentation

## ◆ e_LibraryTypeFoxit

FSDK.PreflightSettingData.e_LibraryTypeFoxit
| static

Enumeration for the preflight library type.

Values of this enumeration should be used alone.

Preflight library type: Foxit.

## ◆ e_OperateTypeProfiles

FSDK.PreflightSettingData.e_OperateTypeProfiles
| static

Enumeration for the preflight operate type.

Values of this enumeration should be used alone.

Opearte type: profiles.